span.hpp File Reference

Forward declares `boost::hana::span`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::span

Returns a `Product` containing the longest prefix of a sequence satisfying a predicate, and the rest of the sequence.The first component of the returned `Product` is a sequence for which all elements satisfy the given predicate. The second component of the returned `Product` is a sequence containing the remainder of the argument. Both or either sequences may be empty, depending on the input argument. More specifically,. More...

## Detailed Description

Forward declares `boost::hana::span`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)